extern double fabs(double);
extern double floor(double);
extern double ceil(double);
extern double modf(double, double *);
extern double sqrt(double);
extern double atof(const char *);
extern double sin(double);
extern double cos(double);
extern double tan(double);
extern double asin(double);
extern double acos(double);
extern double atan(double);
extern double atan2(double, double);
extern double log(double);
extern double log10(double);
extern double pow(double, double);
extern double exp(double);
extern double sinh(double);
extern double cosh(double);
extern double tanh(double);
extern double eval_poly(double, const double *, int);
extern double frexp(double, int *);
extern double ldexp(double, int);

#if defined(_HTKC_) || (defined(_PIC18) && defined(_OMNI_CODE_))
extern double __ldexp4__(double, int);
extern double __ldexp3__(double, int);
extern double __frexp4__(double, int *);
extern double __frexp3__(double, int *);
#if	sizeof(double) == 3
#define	frexp	__frexp3__
#define	ldexp	__ldexp3__
#else
#define	frexp	__frexp4__
#define	ldexp	__ldexp4__
#endif
#endif

#if defined(_HTKC_)
#pragma regsused __ldexp3__ a
#pragma regsused __ldexp4__ a
#pragma regsused __frexp4__ a mp0
#pragma regsused __frexp3__ a mp0
#endif

#if defined(_PIC18) && defined(_OMNI_CODE_)
#pragma regsused __ldexp3__ wreg
#pragma regsused __ldexp4__ wreg
#pragma regsused __frexp4__ wreg fsr0
#pragma regsused __frexp3__ wreg fsr0
#endif

#ifdef	__MSP430C__
#pragma inline(fabs)
#endif

